// context.js
const { AsyncLocalStorage } = require('async_hooks');
const storage = new AsyncLocalStorage();

const run = (data, cb) => storage.run(data, cb);
const get = () => storage.getStore();

module.exports = { run, get };
